
Hello,

this is the readme for GLHeretic for Linux.
I have ported GLHeretic over from win32 to Linux. Many thanks go to 
Michaël Ryssen for providing me with his win32-GLHeretic sourcecode.

For general info about Heretic just read the README.txt file.


Special features of GLHeretic are:
- the game runs with hardware accelerated OpenGL drivers on cards like
  3Dfx Voodoo 1-3, G200, G400, Rage Pro, S3 Virge(?)

- the game can be run accelerated in fullscreen or windowed mode
(To run in fullscreen mode, you should have modelines for 640x480 and 800x600
 resolutions in your XF86Config.)

- texture smoothing

- sprite smoothing

- corona effects arrout static light sources

- dynamic lightning on walls and floors/ceilings

- monsterlightning

- playerlightning

- wall impacts

- dynamic loading of OpenGL library

- free mouse look

- soon GLHeretic will support MD2 modells and MD2-modell lightning 
  (like the win32 version)

Requirements of GLHeretic:
- a hardware accelerated OpenGL driver ;)


Commandline switches that are new in GLHeretic are:

1. -gl_driver <xx>
Use this commandline switch to specify the OpenGL library you want use.
The standart library taken if you don't use this switch is 'libGL.so'.
For example -gl_driver /usr/X11R6/lib/libGL.so works, if you have a 
libGL.so under /usr/X11R6/lib.

2. -paltex
With this switch you enable the use of paletted textures if your driver 
supports it. It increases the performance of the game.

3. -sprscale <xx>
Using this switch you can specify the amount of sprite scaling.

4. -3dfx
This switch is VERY important for 3Dfx users !!! Using this switch you set the 
maximum texture size to 256x256. If you have an other OpenGL graphics card 
you don't (and shouldn't) need this switch.

5. -fullscreen
If you want to start the game in fullscreen mode, use this switch. Per default 
the game starts in fullscreen mode in a resolution of 640x480 pixels.

6. -window
To start the game in windowed mode, use this switch.

7. -mlook
With this switch you enable free mouse look in the game. Normaly it makes sense to use this switch together with the -grabmouse switch. Mouselook is enabled by default, but it can be switched inside the game.

8. -respawnartifacts
With this switch you enable respawning of artifacts even in version 1.3 as it
was in version 1.0 of heretic.

-You can also edit the generated glheretic.cfg file in the $HOME/.heretic 
directory after you have started the game once.

-If you want to compile the game for yourself, look at the first lines of
the Makefile and comment/uncomment the options you want.

-If you want to change from the shareware WAD to the fullversion WAD or
 from the fullversion WAD to the shareware WAD, remove the files
 'Mlump.txt' and Wlump.txt' out of the $HOME/.heretic/ directory.

-If there are some graphical bugs in the game, simply save and reload the
 actual level you are playing in.

If you find any bugs in the game, feel free to email me about them.

Happy hunting,

Andre Werthmann. <wertmann@cs.uni-potsdam.de> or <wertmann@linuxgames.com>


